export interface ElectronAPI {
  onOpenTab: (callback: (webContentId: number, url: string) => void) => void;
  getPrimaryDisplay: () => Promise<Electron.Display>;
  checkUrlAvailable: (url: string) => Promise<{ ok: boolean; status: number; error?: string }>;
  setWebviewCookie: (url: string, cookie: string) => Promise<boolean>;
  setSessionStorage: (key: string, value: string) => void;
  getSessionStorage: (key: string) => string | null;
  removeSessionStorage: (key: string) => void;
  clearSessionStorage: () => void;
}

declare global {
  interface Window {
    electronAPI: ElectronAPI;
  }
} 